Bondery Docs
API reference_generatedcontacts

/contacts

POST
/contacts

Create a new contact.

Authorization

AuthorizationBearer <token>

Better Auth session access token (OAuth 2.1) from the webapp or mobile app. Send as Authorization: Bearer <access_token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/contacts" \  -H "Content-Type: application/json" \  -d '{    "firstName": "Ada",    "lastName": "Lovelace"  }'
{  "contact": {    "firstName": "Ada",    "id": "550e8400-e29b-41d4-a716-446655440000",    "lastName": "Lovelace",    "userId": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",    "addresses": null,    "avatar": null,    "createdAt": "2026-01-15T12:00:00.000Z",    "emails": [      {        "preferred": true,        "type": "work",        "value": "ada.lovelace@example.com"      }    ],    "facebook": null,    "gisPoint": null,    "headline": "Mathematician",    "importantDates": null,    "instagram": null,    "keepFrequencyDays": 90,    "language": "en",    "lastInteraction": "2026-01-15T12:00:00.000Z",    "lastInteractionActivityId": null,    "latitude": 51.5074,    "linkedin": "https://linkedin.com/in/ada-lovelace",    "location": "London, UK",    "longitude": -0.1278,    "middleName": null,    "myself": false,    "notes": null,    "notesUpdatedAt": null,    "phones": [      {        "preferred": true,        "prefix": "+44",        "type": "home",        "value": "2079460958"      }    ],    "position": null,    "signal": null,    "timezone": "Europe/London",    "updatedAt": "2026-01-15T12:00:00.000Z",    "website": "https://example.com",    "whatsapp": null  },  "txid": "tx-550e8400-e29b-41d4-a716-446655440000"}